.\"	$NetBSD: geodecntr.4,v 1.2 2006/06/24 18:43:08 wiz Exp $
.\"
.\" Copyright (c) 2006 Frank Kardel.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 24, 2006
.Dt GEODECNTR 4
.Os
.Sh NAME
.Nm geodecntr
.Nd AMD Geode SC1100 High Resolution Counter
.Sh SYNOPSIS
.Cd "geodegcb*  at pci? dev ? function ?"
.Cd "geodecntr* at geodegcb?"
.Sh DESCRIPTION
The
.Nm
driver supports the
.Tn AMD
SC1100
controllers
and provides a timecounter implementation for the 27MHz
counter.
.Pp
The other timing sources in the SC1100 suffer from
power management features that prohibit i8254 and TSC
from being used for time keeping.
This
.Nm
driver
makes the 27MHz counter available for the
.Xr timecounter 9
framework.
.Sh SEE ALSO
.Xr timecounter 9
